<?PHP
/***************************************************************************\
*
*	Copyright (c) 2013 deltra Business Software GmbH & Co. KG
*	http://www.deltra.de
*	Zuletzt bearbeitet am: 2013-03-05
*
\***************************************************************************/

$GLOBALS['VERSION_SCF'] = "4.0.00";

function daten_holen()
{
	#Querytyp:

	// datakind == 1 => Daten werden als Query verarbeitet
	// datakind == 2 => Daten werden als Array verarbeitet

	$GLOBALS['datakind'] = "1";

	#SQL Query f�r JoomShopping

	$GLOBALS['query'] ="SELECT o.order_id AS orderID
						,o.order_number AS BestellnummerShop
						,pm.`name_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` AS Zahlungsart
						,sm.`name_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` AS Lieferart
						,o.order_add_info AS AnmerkungenBestellung
						,o.order_shipping AS FrachtkostenNetto
						,o.order_date AS Bestelldatum
						,o.order_number AS Kundennummer
						,o.user_id AS KundennummerWebshop
						,o.title AS PersonGeschlecht
						,o.l_name AS PersonNachname
						,o.f_name AS PersonVorname
						,o.firma_name AS Firmenname
						,CONCAT (o.street, ' ', o.street_nr) AS Strasse
						,o.city AS Ort
						,o.zip AS Postleitzahl
						,c1.`name_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` AS Land
						,c1.`country_code_2` AS Laendercode
						,o.phone AS Telefon
						,o.fax AS Fax
						,o.email AS Email
						,o.d_l_name AS abweichendLieferungPersNachname
						,o.d_f_name AS abweichendLieferungPersVorname
						,o.d_firma_name AS abweichendLieferungFirmenname
						,o.d_title AS abweichendLieferungPersGeschl
						,CONCAT(o.d_street, ' ', o.d_street_nr) AS abweichendLieferungStrasse
						,o.d_city AS abweichendLieferungOrt
						,o.d_zip AS abweichendLieferungPostleitzahl
						,o.d_email AS abweichendLieferungEmail
						,o.d_phone AS abweichendLieferungTelefon
						,o.d_fax AS abweichendLieferungFax
						,c2.`name_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` AS abweichendLieferungLand
						,c2.`country_code_2` AS abweichendLieferungLaendercode
						
						,v.l_name AS abweichendRechnungPersNachname
						,v.f_name AS abweichendRechnungPersVorname
						,v.company_name AS abweichendRechnungFirmenname
						,v.adress AS abweichendRechnungStrasse
						,v.city AS abweichendRechnungOrt
						,v.zip AS abweichendRechnungPostleitzahl
						,v.email AS abweichendRechnungEmail
						,v.phone AS abweichendRechnungTelefon
						,v.fax AS abweichendRechnungFax
						,v.benef_bank_info AS BankkontoInhaber
						,v.benef_conto AS Bankkontonummer
						,v.benef_bic AS BankkontoBLZ
						,v.benef_bank_info AS BankkontoBankName
						,v.benef_iban AS BankkontoIBAN
						,v.benef_bic_bic AS BankkontoBIC
						,c3.`name_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` AS abweichendRechnungLand
						,c3.`country_code_2` AS abweichendRechnungLaendercode
						,oi.product_id AS Positionsnummer
						,oi.product_ean AS ArtikelnummerShop
						,oi.product_item_price AS abweichenderEinzelpreisNetto
						,oi.product_tax AS abweichendeMwStProzent
						,oi.product_quantity AS Menge
					FROM `".$GLOBALS['db_prefix']."jshopping_orders` AS o
					INNER JOIN `".$GLOBALS['db_prefix']."jshopping_order_item` AS oi ON (o.`order_id` = oi.`order_id`)
					LEFT OUTER JOIN `".$GLOBALS['db_prefix']."jshopping_vendors` AS v ON (o.`vendor_id` = v.`id`)
					LEFT OUTER JOIN `".$GLOBALS['db_prefix']."jshopping_countries` AS c1 ON (o.`country` = c1.`country_id`)
					LEFT OUTER JOIN `".$GLOBALS['db_prefix']."jshopping_countries` AS c2 ON (o.`d_country` = c2.`country_id`)
					LEFT OUTER JOIN `".$GLOBALS['db_prefix']."jshopping_countries` AS c3 ON (v.`country` = c3.`country_id`)
					LEFT OUTER JOIN `".$GLOBALS['db_prefix']."jshopping_payment_method` AS pm ON (o.`payment_method_id` = pm.`payment_id`)
					LEFT OUTER JOIN `".$GLOBALS['db_prefix']."jshopping_shipping_method` AS sm ON (o.`shipping_method_id` = sm.`shipping_id`)
					WHERE
					o.order_status = '".$GLOBALS["DEFAULT_ORDERS_STATUS"]."'
					GROUP BY
						oi.order_item_id
					ORDER BY orderID, Positionsnummer";
	return $GLOBALS['datakind'];
}

function row_ueberpruefen($row)
{
	# Anschrift �berarbeiten
	$row['Firmenname'] = htmlspecialchars($row['Firmenname']);
	$row['PersonNachname'] = htmlspecialchars($row['PersonNachname']);
	$row['PersonVorname'] = htmlspecialchars($row['PersonVorname']);
	$row['Strasse'] = htmlspecialchars($row['Strasse']);
	$row['Ort'] = htmlspecialchars($row['Ort']);
	$row['Land'] = htmlspecialchars($row['Land']);
	$row['Email'] = htmlspecialchars($row['Email']);
	$row['ArtikelnummerShop'] = htmlspecialchars($row['ArtikelnummerShop']);
	$row['AnmerkungenBestellung'] = htmlspecialchars($row['AnmerkungenBestellung']);
	
	# abeichende Rechnungsadresse
	$row['abweichendRechnungFirmenname'] = htmlspecialchars($row['abweichendRechnungFirmenname']);
	$row['abweichendRechnungPersNachname'] = htmlspecialchars($row['abweichendRechnungPersNachname']);
	$row['abweichendRechnungPersVorname'] = htmlspecialchars($row['abweichendRechnungPersVorname']);
	$row['abweichendRechnungStrasse'] = htmlspecialchars($row['abweichendRechnungStrasse']);
	$row['abweichendRechnungOrt'] = htmlspecialchars($row['abweichendRechnungOrt']);
	$row['abweichendRechnungLand'] = htmlspecialchars($row['abweichendRechnungLand']);
	
	# abweichende Lieferadresse
	$row['abweichendLieferungFirmenname'] = htmlspecialchars($row['abweichendLieferungFirmenname']);
	$row['abweichendLieferungPersNachname'] = htmlspecialchars($row['abweichendLieferungPersNachname']);
	$row['abweichendLieferungPersVorname'] = htmlspecialchars($row['abweichendLieferungPersVorname']);
	$row['abweichendLieferungStrasse'] = htmlspecialchars($row['abweichendLieferungStrasse']);
	$row['abweichendLieferungOrt'] = htmlspecialchars($row['abweichendLieferungOrt']);
	$row['abweichendLieferungLand'] = htmlspecialchars($row['abweichendLieferungLand']);

	# Anrede erg�nzen:
	if (($row["PersonAnrede"]=="") and ($row["PersonGeschlecht"]=="1")) $row["PersonAnrede"] = "Herr";
	elseif (($row["PersonAnrede"]=="") and ($row["PersonGeschlecht"]=="2")) $row["PersonAnrede"] = "Frau";
	
	if (($row["abweichendLieferungPersAnrede"]=="") and ($row["abweichendLieferungPersGeschl"]=="1")) $row["abweichendLieferungPersAnrede"] = "Herr";
	elseif (($row["abweichendLieferungPersAnrede"]=="") and ($row["abweichendLieferungPersGeschl"]=="2")) $row["abweichendLieferungPersAnrede"] = "Frau";
	
	// ... ISO L�nderk�rzel in orgaMAX Format �bersetzen
	$row['Laendercode'] = LaenderkuerzelISO2OMX($row['Laendercode']);	
	$row['abweichendRechnungLaendercode'] = LaenderkuerzelISO2OMX($row['abweichendRechnungLaendercode']);
	$row['abweichendLieferungLaendercode'] = LaenderkuerzelISO2OMX($row['abweichendLieferungLaendercode']);
	
	# Frachtkosteneinstellungen
	if ($row['FrachtkostenNetto'])
	{
		$row['FrachtkostenMwStProzent'] = "";
	} // Es sind Frachtkosten vorhanden
	
	# Artikelnummer-Einstellungen:
	
	if ($GLOBALS["artno_handling"] == 1)
	{
		$row['Artikelnummer'] = $row['ArtikelnummerShop'];
		$row['ArtikelnummerShop'] = "";
	} // 'Artikelnummer im Webshop' ist identisch zur Artikelnummer in orgaMAX

	return $row;
}

function artikeldaten_orgamax_zu_shop()
{
	$articleFile = file_get_contents('php://input');
	if($articleFile != null && strlen($articleFile) > 0) {
	
		$articles = simplexml_load_string(($articleFile));
		
		$amount_successfully_created = 0;
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$Preis = 0.0;
			$Gewicht = 0.0;
			$articleNr =  htmlspecialchars(strip_tags($article->ArtikelnummerWebshop));
			
			// Artikelpreis formatieren
			if($article->ArtikelpreisNetto != 'DSC_IGNORE')
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisNetto);
			}
			else
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisBrutto);
			}
			
			//Artikelgewicht formatieren
			if(!is_null($article->Gewicht))
			{
				$Gewicht = str_replace(',','.',$article->Gewicht);
			}
			
			//Pr�fen ob der Artikel vorhanden ist
			$selectQuery = "SELECT product_id FROM `".$GLOBALS['db_prefix']."jshopping_products` WHERE product_ean = '".$articleNr."'";
			
			$res = mysql_query($selectQuery);
			$amount = mysql_num_rows($res);
			$value = 0;
			if($amount > 0)
			{
				$value = mysql_result($res,0);
			}
			
			// MwStCode aus MwStValue ermitteln
			$query = "SELECT tax_id FROM `".$GLOBALS['db_prefix']."jshopping_taxes` WHERE tax_value = ".$article->MwStValue;
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0)
			{
				$MwStCode = ($article->MwStValue != 0) ? mysql_result($result, 0) : 0;
				$article->MwStCode = $MwStCode;
			}
			
			$Artikelbeschreibung = @htmlentities(strip_tags($article->Artikelbeschreibung), ENT_QUOTES, 'UTF-8');
			$Anmerkungen = @htmlentities($article->Anmerkungen, ENT_QUOTES, 'UTF-8');
			//Artikel nicht gefunden, neu anlegen
			if($value == 0)
			{
				$query  = "INSERT INTO `".$GLOBALS['db_prefix']."jshopping_products` (product_ean,product_tax_id,product_weight, product_price, min_price, `short_description_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."`, `description_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."`) ";
				$query .= "VALUES('".$articleNr."',".$article->MwStCode.",'".$Gewicht."','".$Preis."','".$Preis."','".$Artikelbeschreibung."','".$Anmerkungen."')";
				
				$result = mysql_query($query);
				
				if($result)
				{
					$amount_successfully_created++;
				}
			}
			//Artikel vorhanden aktualisieren
			else
			{
				$query  = "UPDATE `".$GLOBALS['db_prefix']."jshopping_products` SET product_ean = '".$articleNr."', product_tax_id = ".$article->MwStCode.", ";
				$query .= "product_weight = '".$Gewicht."', product_price = '".$Preis."', min_price = '".$Preis."', `short_description_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` = '".$Artikelbeschreibung."', ";
				$query .= "`description_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` = '".$Anmerkungen."' WHERE product_id = ".$value."";
				
				$result = mysql_query($query);
				
				if($result)
				{
					$amount_successfully_created++;
				}
			}
		}
		
		WriteXMLResult($amount_articles,$amount_successfully_created);
	}
	
}

function artikeldaten_shop_zu_orgamax()
{
	#Querytyp:

	// datakind == 1 => Daten werden als Query verarbeitet
	// datakind == 2 => Daten werden als Array verarbeitet
	
	$GLOBALS['datakind'] = "1";

	#SQL Query f�r JoomShopping Artikel

	$GLOBALS['query'] = "
	SELECT
		p.product_id as productID,
		p.product_ean as ArtikelnummerWebshop,
		p.product_id as Artikelnummer,
		p.`short_description_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` as Artikelbeschreibung,
		p.`description_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` as Anmerkungen,
		p.product_tax_id as MwStCode,
		p.product_weight as Gewicht,
		p.product_quantity as Einheit,
		p.product_buy_price as ArtikelpreisNetto,
		p.min_price as Einkaufspreis,
		p.min_price as ArtikelpreisBrutto
	FROM `".$GLOBALS['db_prefix']."jshopping_products` AS p
	ORDER BY
		p.product_id";
		
	return $GLOBALS['datakind'];
	
}// artikeldaten_shop_zu_orgamax

function setze_lagerbestand_im_shop()
{
	$articleFile = file_get_contents('php://input');
	$amount_successfully_created = 0;
	$amount_articles = 0;
	if($articleFile != null && strlen($articleFile) > 0) {
		
		$articles = simplexml_load_string(($articleFile));
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$articleNr =  strip_tags($article->ArtikelnummerWebshop);
			$query  = "UPDATE `".$GLOBALS['db_prefix']."jshopping_products` SET product_quantity = '".str_replace(',','.',$article->LagerBestandAktuell)."'";
			$query .= " WHERE product_ean = '".$articleNr."'";
			
			$result = mysql_query($query);
			
			if($result)
			{
				$amount_successfully_created++;
			}
		}
		
		
	}
	WriteXMLResult($amount_articles,$amount_successfully_created);
	//Hier k�nnen Sie den Bestellstatusexport vom ERP zum Shop definieren
}

function pruefeOffeneBestellungenImShop()
{
	$query = "SELECT order_id FROM `".$GLOBALS['db_prefix']."jshopping_orders` WHERE order_status = '".$GLOBALS["DEFAULT_ORDERS_STATUS"]."'";
	
	$result = mysql_query($query);
	
	if($result)
	{
		if(mysql_num_rows($result) > 0)
		{
			$value = mysql_result($result,0);
			if($value > 0)
			{
				echo 1;
			}
			else
			{
				echo 0;
			}
		}
		else
		{
			echo 0;
		}
	}
	else
	{
		echo 0;
	}
}

function hole_Artikelliste_fuer_export()
{
	$selectQuery = "SELECT product_ean, `short_description_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` as short_description FROM `".$GLOBALS['db_prefix']."jshopping_products`";
	
	/** XML-Dokument erzeugen */
	$dom = new DomDocument('1.0');
	$dom->xmlStandalone = true;
	$dom->encoding="utf-8";
	
    $domArticles = $dom->appendChild($dom->createElement('ArtikelListeWebshop'));
	$result = mysql_query($selectQuery);
	
	if(mysql_num_rows($result) > 0)
	{
		while($article = mysql_fetch_assoc($result))
		{
			$domArticle = $domArticles->appendChild($dom->createElement('row'));
			Add_NewDocElement($dom, $domArticle, 'ArtikelnummerWebshop',$article["product_ean"]);
			Add_NewDocElement($dom, $domArticle, 'Artikelbeschreibung', $article["short_description"]);
		}
	}
	
	 $dom->formatOutput = true;
	 //zur�ck geben
     echo $dom->saveXML();
}

function setze_Artikelpreise_im_shop()
{
	$articleFile = file_get_contents('php://input');
	if($articleFile != null && strlen($articleFile) > 0) {
	
		$articles = simplexml_load_string(($articleFile));
		
		$amount_successfully_created = 0;
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$Preis = 0.0;
			$articleNr =  strip_tags($article->ArtikelnummerWebshop);
			if($article->ArtikelpreisNetto != 'DSC_IGNORE')
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisNetto);
			}
			else
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisBrutto);
			}
			if($article->ArtikelPreisBeziehtSichAufMenge == 1)
			{
				$updateQuery = "UPDATE `".$GLOBALS['db_prefix']."jshopping_products` SET min_price = '".$Preis."', product_price = '".$Preis."' WHERE product_ean = '".$articleNr."'";
				
				$result = mysql_query($updateQuery);
				
				if($result > 0)
				{
					$amount_successfully_created++;
				}
			}
		}
		WriteXMLResult($amount_articles,$amount_successfully_created);
	}
	//Funktion wird von veyton nicht unters�tzt (Staffelpreis)
}

function artRow_ueberpruefen($artRow)
{
	# Artikeltexte kodieren
	//$artRow['ArtikelnummerWebshop'] = $artRow['ArtikelnummerWebshop'];
	$artRow['Artikelbeschreibung'] = strip_tags($artRow['Artikelbeschreibung']);
	$artRow['Anmerkungen'] = html_entity_decode($artRow['Anmerkungen'], ENT_QUOTES, 'utf-8');
	
	#MwSt Wert zu ID ermitteln
	if ($artRow['MwStCode'] > 0) {
		$query = "SELECT tax_value FROM `".$GLOBALS['db_prefix']."jshopping_taxes` WHERE tax_id = " . $artRow['MwStCode'];
		$result = mysql_query($query);
		if(mysql_num_rows($result) > 0)
		{
			$result_fetched = mysql_fetch_assoc($result);
			$artRow['MwStCode'] = (string)(double)$result_fetched['tax_value'];
			$artRow['MwStValue'] = (string)(double)$result_fetched['tax_value'];
		}
	} else {
		$artRow['MwStCode'] = '0';
		$artRow['MwStValue'] = '0';
	}
	
	# Artikelkategorie ermitteln
	$query = "SELECT c.`name_".ORGAMAX_JOOMSHOPPING_DEFAULT_LANGUAGE."` as Artikelkategorie ";
	$query .= "FROM `".$GLOBALS['db_prefix']."jshopping_categories` AS c " ;
	$query .= "INNER JOIN `".$GLOBALS['db_prefix']."jshopping_products_to_categories` AS pc ON (pc.category_id = c.category_id) ";
	$query .= "WHERE pc.product_id='".$artRow["productID"]."' AND pc.category_id<>'0'";
	$qRes = mysql_query($query);
	
	if ($qRes)
	{
		while ($qRow = mysql_fetch_assoc($qRes))
		{
			$artRow["Artikelkategorie"] .= $qRow["Artikelkategorie"] . ";";
		} // Alle gefundenen Artikelkategorien durchgehen
		$artRow["Artikelkategorie"] = substr($artRow["Artikelkategorie"],0,strlen($artRow["Artikelkategorie"])-1);
	} // Wenn eine Artikelkategorie gefunden wurde
	
	# Artikelattribute ber�cksichtigen
	
	# Wie soll Artikelnummer aus dem Shop behandelt werden:
	
	//$artRow["Artikelnummer"] = '';
	/*if ($GLOBALS["artno_handling"] == 1)
	{
		$artRow["Artikelnummer"] = '';
	}*/
	// Wenn die Artikelnummer im Webshop gleich der Artikelnummer im ERP sein soll
	
	
	return $artRow;
	
}// article_row_ueberpruefen

function status_aendern($orderId)
{
	include_once "inc/config.php";
	$ShopStatus = $GLOBALS["aendern_zu"];
	
	$query = "SELECT order_status FROM `".$GLOBALS['db_prefix']."jshopping_orders` WHERE order_id=$orderId";
	$qRes = mysql_query($query);
	if ($qRes)
	{
		$row = mysql_fetch_assoc($qRes);
		if ($row['order_status'] != 5)
		{
			$query = "UPDATE `".$GLOBALS['db_prefix']."jshopping_orders` SET order_status = '$ShopStatus' WHERE order_id = '$orderId'";
			mysql_query($query);
			$error1 = mysql_error();
			$query = "INSERT INTO `".$GLOBALS['db_prefix']."jshopping_order_history` (order_id, order_status_id, status_date_added, customer_notify) VALUES ($orderId, $ShopStatus, NOW(), 1);";
			mysql_query($query);
			$error2 = mysql_error();
			if (($error1 == '') and ($error2 == ''))
			{
				die(xml_success_ausgeben("Der Status der Bestellung '" . $orderId . "' wurde auf '" . $ShopStatus . "' gesetzt."));
			} // Fehler
			else 
			{
				die(xml_error_ausgeben("Bei der Status�nderung der Bestellung '$orderId' auf den Wert '$ShopStatus' trat ein Fehler auf. Beim ersten Query meldete MySql '$error1' und beim zweiten '$error2'.", __FILE__, __FUNCTION__, __LINE__));
			}
		} // Der aktuelle status ist != 5
		else 
		{
			die(xml_success_ausgeben("Der Status der Bestellung '" . $orderId . "' durfte nicht ge�ndert werden, da er bereits den Wert '3' besitzt."));
		}
	} // Select query war erfolgreich
	else 
	{
		die(xml_error_ausgeben("Der Datensatz mit der Bestellnummer '" . $orderId . "' konnte nicht ermittelt werden.", __FILE__, __FUNCTION__, __LINE__));
	}
}

function starten()
{
	# Konfigurationsdatei vom Shopsystem einbinden und Verbindung zur Datenbank herstellen:

	if (file_exists(ORGAMAX_JOOMSHOPPING_CONFIG)) {
		include ORGAMAX_JOOMSHOPPING_CONFIG;
		$config = new JConfig();
		$GLOBALS['sql_con'] = mysql_connect($config->host, $config->user, $config->password);
		mysql_select_db($config->db, $GLOBALS['sql_con']);
		$GLOBALS['db_prefix'] = $config->dbprefix;
	}// Verbindung zur Datenbank herstellen:
	else
	{
		die (xml_error_ausgeben($GLOBALS['err_msg']['shop_cfg'],__FILE__, __FUNCTION__, __LINE__));
	}//Fehlermeldung ausgeben
	
	$charset = mysql_client_encoding($GLOBALS['sql_con']);
		
	if($charset != 'utf8')
	{
		mysql_set_charset('utf8',$GLOBALS['sql_con']);
	}
}

function ende()
{
	mysql_close($GLOBALS['sql_con']);
}
?>